Subject: bug#61371: 30.0.50; Adding support for jdt:// file scheme in eglot

From: Michael Albinus <[email-masked]>
Date: Thu, 09 Feb 2023 10:47:17 +0100

Theodor Thornhill via "Bug reports for GNU Emacs, the Swiss army knife
of text editors" <[email-masked]> writes:

> Hi!

Hi Theo,

> When using Eglot along with Java there are some hacks that needs to be
> made to make things functional.  One of the more important things is to
> add support for the jdt:// file scheme that is sent when you try to
> go-to-definition on a system or third party lib.
>
> As you can see, we need to query the server with
> :java/classFileContents, and also register with the server to send it
> with the :extendedClientCapabilities on initialization.
>
> Is there a place this code could live? Maybe in the new java-ts-mode?

There is the jarchive package on GNU ELPA. Could this be used, perhaps extended?

> Theo

Best regards, Michael.